Game Develop C++ Platform: RuntimeLayer Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | List of all members
RuntimeLayer Class Reference
Game engine

A layer of a layout, used to display objects using RuntimeCamera. More...

`#include <RuntimeLayer.h>`

## Public Member Functions

| RuntimeLayer (gd::Layer &layer, const sf::View &defaultView)
virtual void | SetName (const std::string &name_)
virtual const std::string & | GetName () const
virtual void | SetVisibility (bool isVisible_)
virtual bool | GetVisibility () const
unsigned int | GetCameraCount () const
const RuntimeCamera & | GetCamera (unsigned int n) const
RuntimeCamera & | GetCamera (unsigned int n)
void | DeleteCamera (unsigned int n)
void | AddCamera (const RuntimeCamera &camera)

## Detailed Description

A layer of a layout, used to display objects using RuntimeCamera.

## Member Function Documentation

void RuntimeLayer::AddCamera | ( | const RuntimeCamera & | camera) |  |

inline

Add an already existing camera.

void RuntimeLayer::DeleteCamera | ( | unsigned int | n) |  |

inline

Delete a specific camera.

const RuntimeCamera& RuntimeLayer::GetCamera | ( | unsigned int | n) |  | const

inline

Return a reference to a camera

RuntimeCamera& RuntimeLayer::GetCamera | ( | unsigned int | n) |  |

inline

Return a reference to a camera

unsigned int RuntimeLayer::GetCameraCount | ( | ) |  | const

inline

Get cameras count.

virtual const std::string& RuntimeLayer::GetName | ( | ) |  | const

inlinevirtual

Get layer name

virtual bool RuntimeLayer::GetVisibility | ( | ) |  | const

inlinevirtual

True if layer will be displayed.

virtual void RuntimeLayer::SetName | ( | const std::string & | name_) |  |

inlinevirtual

Change layer name

virtual void RuntimeLayer::SetVisibility | ( | bool | isVisible_) |  |

inlinevirtual

Change if layer is displayed or not

The documentation for this class was generated from the following files:

- RuntimeLayer.h
- RuntimeLayer.cpp